<?php 
/**
* muestrasegundos.php
*
* muestrasegundos.php se incorpora en la carpeta raiz un punto de interfaz bsico del mdulo.
*  especficamente permite gestionar los valores de cada una de las mediciones obtenidas para una misma serie.
* 
* @package    	TReCC(tm) Gestor Masivo de Datos Acsticos.
* @subpackage 	gestin de series de mediciones masivas en transporte pblico
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm) y TReCC(tm) intraTReCC.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/
include ('./includes/encabezado.php');
ini_set('memory_limit', '1024M');	
?>
<head>
	<?php /*include ('./includes/meta.php'); */?>
	<title>Mediciones de ruido</title>
	<link rel="stylesheet" type="text/css" href="css/general.css">
	<link rel="stylesheet" type="text/css" href="css/comando.css">
	<link rel="stylesheet" type="text/css" href="css/tipos.css">
	
	<style type=text/css>
		body{
			font-family:arial;
			font-size:14px;
		}
	
		a{
			text-decoration:none;
		}
	
		h2, h3, h4, h5{
			margin-top:2px;
			margin-bottom:1px;
		}
		
		h4 >{
			font-size:11px;	
		}		
		
		h4 > a{
			font-size:9px;	
		}
		
		table,th,td
		{
			empty-cells:show;
			border:1px solid black;
			border-collapse:collapse;
			font-size:10px;
			text-align:center;
		}
		
		table{
			width: 800px;
			margin-bottom:10px;
		}
		
		th{
			font-size:12px;
			font-weight:bold;			
		}
		
		.t1{
			background-color:#bbb;
		}
		.t2{
			background-color:#bbb;
		}
		.t3{
			background-color:#ddd;
		}
		.t4{
			background-color:#eee;
		}
		.t5{
			background-color:#eee;
		}		
		.par{
			background-color:#ffd;
		}
		.impar{
			background-color:#fff;
		}
		
		.registro{
			border:1px solid #000;
			width:800px;
			height:186px;
			position:relative;
		}
		
		
		.contienelinea{
			position:absolute;
			right:20px;
			top:20px;
			height:30px;
			width:500px;
			border:1px solid gray;
		}		
		.linea{
			position:absolute;
			height:6px;
			top:12px;
		}
		
		.aclaracion{
			position:absolute;
			right: 0;
   			top: 161px;
			font-size:10px;
			background-color:#888;
		}
		
		.alta{
			opacity:0.5;
			top:0px;
			height:12px;
		}
		.baja{
			opacity:0.5;
			top:18px;
			height:12px;
		}		
		
		.divisor{
			border-left:1px gray solid;
			position:absolute;
			top:20px;
			height:10px;
			font-size:8px;
			font-weight:bold;
			z-index:2;
		}
		
		.r1{
			background-color:green;
		}
		.r2{
			background-color:orange;
		}
		.r3{
			background-color:red;
		}
		.r4{
			background-color:#4B088A;
		}
		
		.alerta{
			background-color:#FF1919;
		}
		
		.alertamedia{
			background-color:yellow;
		}	
		
		.etiqueta{
			font-weight:normal;
			font-size:11px;
		}
		
		.numero{
			display:block;
			position:absolute;
			bottom:3px;
			right:3px;
			font-size:10px;
		}
		
		.etiquetatiempo{
			position:absolute;
			top:-15px;
			left:0px;
			font-size:11px;
			background-color:#ccc;
			height:11px;
			line-height:11px;
			overflow:hidden;
		}
		
		.editorsonido{
			position:absolute;
			left:520px;
			font-size:9px;
			background-color:lightblue;
			height:10px;
			border:1px solid blue;
			overflow:hidden;
		}
		
		.editorrelevamiento{
			position:absolute;
			left:800px;
			font-size:15px;
			background-color:lightblue;
			height:20px;
			border:2px solid blue;
			overflow:hidden;
		}
		
		.editorcaracteristicas{
			position:absolute;
			left:180px;
			top:143px;
			font-size:10px;
			background-color:lightblue;
			height:10px;
			border:2px solid blue;
			overflow:hidden;
		}
				
		.desde{
			position:absolute;
			top:-15px;
			left:0px;
			font-size:12px;
		}
		
		.hasta{
			position:absolute;
			top:-15px;
			right:0px;
			text-align:right;
			font-size:12px;
		}
		
		.estacion{
			position:absolute;
			top:-15px;
			width:100%;
			text-align:center;
			font-size:12px;
		}		
		
		.descartado{
			background-color:#444;
		}
		
		.caracteristicas{
			border:1px solid #555;
			height:11px;
			font-size:10px;
			width:80px;
			position:absolute;
			text-align:center;
		} 
		
		.reduccion{
			top:128;
			left:5px;
		}
		
		.registro{
			font-size:13px;
		}
		
		.curva{
			top:128;
			left:92px;
		}
		.pantalon{
			top:128;
			left:180px;
		}
		.lubricador{
			top:143;
			left:5px;
		}		
		.panelsonoro{
			top:143;
			left:92px;
		}	
		
		.etiqueta.bandas{
			color:#fff;	
			font-style:italic;
			font-size:9px;
			cursor:help;
		}
		
		.agudos{
			position:absolute;
			top:0px;
			left:20px; 
		}	
		
		.graves{
			position:absolute;
			top:19px;
			left:20px; 
		}		
		
		.err{
			position:absolute;
			left:600px;
			top:0px;
		}	
		
		.encarga{
			color:red;
		}
		.descartado{
			color:gray;
		}
	</style>
</head>

<body>
	
<?php	

	$MODO=isset($_GET['modo'])?$_GET['modo']:"";
	
	if($MODO=='edicion'){
		if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);
	}	
			
	


	$Base = $_SESSION['AppSettings']->DATABASE_NAME;	
	$Base2 = $_SESSION['AppSettings']->REPORTE_NAME;
	$Tabla = "REGregistrosdecibelimetro";
	$regs=0; //cantidad de registros guardados
	$a = scandir('./acceso/');
	$nfila=0;
	$registroscargados = 0;
	
	//configuraicon grafica
	$ANCHOLINEATIEMPO=500;
	
	//configuracin de rwngos a representar
	$Rangos[1]['leyenda']="Leq A menor a 80dba";
	$Rangos[1]['tope']=80;
	
	$Rangos[2]['leyenda']="Leq A mayor o igual a 80dba y menor a 85dba";
	$Rangos[2]['tope']=85;
	
	$Rangos[3]['leyenda']="Leq A mayor o igual a 85dba y menor a 90dba";
	$Rangos[3]['tope']=90;
	
	$Rangos[4]['leyenda']="Leq A mayor o igual a 90dba";
	$Rangos[4]['tope']=200;

	$ARRAYREL = '';
	$ARRAYSEG = '';
	$ARRAYCRUCE = '';
	
	
	$LINEA=isset($_GET['linea'])?$_GET['linea']:"todas";	

	function diferenciatiempo($tiempo2, $tiempo1){
		global $cod;
		$t = explode(":",$tiempo2);
		$min=$t[0]*60+$t[1];
		$T2seg=$min*60+$t[2];
		if(!isset($t[2])&&$MODO=='edicion'){echo "error en ".$tiempo2."_".$cod;}
		
		$t = explode(":",$tiempo1);
		$min=$t[0]*60+$t[1];
		$T1seg=$min*60+$t[2];
		
		$DIFseg = $T2seg - $T1seg;
		
		return($DIFseg);
		
	}


	

	if($_GET['id']!=''){

		//echo "<br>carga datos de segmentos...";
		$query = "SELECT * FROM `ruido`.`REGregistrosbandas` WHERE `REGregistrosbandas`.`id_p_REGregistros`='".$_GET['id']."' order by `Date_Hour` DESC ";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada<br>";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		while($row=mysql_fetch_assoc($consulta)){
			$SEG[$row['id']] = $row;
		}
	}

		 
		 
	$relevamientosrechazados= 0;
	$relevamientosmostrados=0;
	$relevamientoscontabilizados=0;
	$relevamientossinaudio=0;
	
	
	echo "<div id='indice'>";
		echo "<a href='./index.php'>volver al inicio</a><br>";
		echo "<a href='./datosseriecarga.php?salida=cargadatos&salidatabla=a&salidaid=".$_GET['idr']."&linea=".$_GET['linea']."&idr=".$_GET['idr']."&nseg=".$_GET['nseg']."&idreg=".$_GET['id']."'>volver a la serie</a>";
		echo "<h1>ndice de Mediciones registradas en la serie</h1>";
	echo "</div>";

	echo "<table>";
	$f1 = reset ($REL);
	
	echo "<tr>";
		echo "<td></td>";	
		echo "<td>segundo</td>";
		echo "<td>hora</td>";	
		echo "<td>L1/1o4k</td>";				
		echo "<td>LAT</td>";
		echo "<td>L1/1o125</td>";

	echo "</tr>";
	
	$c=0;
	foreach($SEG as $idseg => $seg){
		$c++;
		echo "<tr class='$clase $clasedes'>";
			echo "<td><a href='./agrega_f.php?salida=muestrasegundos$salidatabla=a&salidaid=".$_GET['id']."&accion=cambia&tabla=REGregistrosbandas&id=$idseg'>cambiar</a></td>";
			
			echo "<td>".$c."</td>";
			echo "<td>".$seg['Date_Hour']."</td>";	
			echo "<td>".$seg['L1/1o4k']."</td>";					
			echo "<td>".$seg['LAT']."</td>";
			echo "<td>".$seg['L1/1o125']."</td>";

	
		echo "</tr>";
	}
	echo "</table>";	
	
?>

	
</body>

